> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /openfda/device/udi

> Get an FDA GUDID unique device identifier record by its UDI-DI or public device record key

**Price:** 1 credit

**⚠️ Common errors:** 412: Device record not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/openfda/device/udi
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/openfda/device/udi:
    post:
      tags:
        - /openfda/device
      summary: /openfda/device/udi
      description: >-
        Get an FDA GUDID unique device identifier record by its UDI-DI or public
        device record key


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Device record not found
      operationId: __api_openfda_device_udi_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenfdaDeviceUdiPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpenfdaDeviceUdi'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpenfdaDeviceUdiPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
      type: object
      required:
        - id
    OpenfdaDeviceUdi:
      properties:
        '@type':
          type: string
          default: OpenfdaDeviceUdi
        public_device_record_key:
          type: string
        brand_name:
          anyOf:
            - type: string
            - type: 'null'
        company_name:
          anyOf:
            - type: string
            - type: 'null'
        device_description:
          anyOf:
            - type: string
            - type: 'null'
        version_or_model_number:
          anyOf:
            - type: string
            - type: 'null'
        catalog_number:
          anyOf:
            - type: string
            - type: 'null'
        labeler_duns_number:
          anyOf:
            - type: string
            - type: 'null'
        record_status:
          anyOf:
            - type: string
            - type: 'null'
        commercial_distribution_status:
          anyOf:
            - type: string
            - type: 'null'
        commercial_distribution_end_at:
          anyOf:
            - type: integer
            - type: 'null'
        mri_safety:
          anyOf:
            - type: string
            - type: 'null'
        device_count_in_base_package:
          anyOf:
            - type: string
            - type: 'null'
        public_version_number:
          anyOf:
            - type: string
            - type: 'null'
        public_version_status:
          anyOf:
            - type: string
            - type: 'null'
        publish_at:
          anyOf:
            - type: integer
            - type: 'null'
        public_version_at:
          anyOf:
            - type: integer
            - type: 'null'
        is_rx:
          anyOf:
            - type: boolean
            - type: 'null'
        is_otc:
          anyOf:
            - type: boolean
            - type: 'null'
        is_kit:
          anyOf:
            - type: boolean
            - type: 'null'
        is_combination_product:
          anyOf:
            - type: boolean
            - type: 'null'
        is_single_use:
          anyOf:
            - type: boolean
            - type: 'null'
        is_hct_p:
          anyOf:
            - type: boolean
            - type: 'null'
        is_pm_exempt:
          anyOf:
            - type: boolean
            - type: 'null'
        is_direct_marking_exempt:
          anyOf:
            - type: boolean
            - type: 'null'
        has_expiration_date:
          anyOf:
            - type: boolean
            - type: 'null'
        has_lot_or_batch_number:
          anyOf:
            - type: boolean
            - type: 'null'
        has_serial_number:
          anyOf:
            - type: boolean
            - type: 'null'
        has_manufacturing_date:
          anyOf:
            - type: boolean
            - type: 'null'
        has_donation_id_number:
          anyOf:
            - type: boolean
            - type: 'null'
        is_labeled_as_nrl:
          anyOf:
            - type: boolean
            - type: 'null'
        is_labeled_as_no_nrl:
          anyOf:
            - type: boolean
            - type: 'null'
        identifiers:
          items:
            $ref: '#/components/schemas/OpenfdaUdiIdentifier'
          type: array
          default: []
        product_codes:
          items:
            $ref: '#/components/schemas/OpenfdaUdiProductCode'
          type: array
          default: []
        gmdn_terms:
          items:
            $ref: '#/components/schemas/OpenfdaUdiGmdnTerm'
          type: array
          default: []
        device_sizes:
          items:
            $ref: '#/components/schemas/OpenfdaUdiSize'
          type: array
          default: []
        storage:
          items:
            $ref: '#/components/schemas/OpenfdaUdiStorage'
          type: array
          default: []
        premarket_submissions:
          items:
            $ref: '#/components/schemas/OpenfdaUdiSubmission'
          type: array
          default: []
        customer_contacts:
          items:
            $ref: '#/components/schemas/OpenfdaUdiContact'
          type: array
          default: []
        sterilization:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaUdiSterilization'
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - public_device_record_key
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpenfdaUdiIdentifier:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiIdentifier
        id:
          type: string
        identifier_type:
          anyOf:
            - type: string
            - type: 'null'
        issuing_agency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    OpenfdaUdiProductCode:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiProductCode
        code:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        openfda:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaBlock'
            - type: 'null'
      type: object
      required:
        - code
    OpenfdaUdiGmdnTerm:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiGmdnTerm
        code:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        definition:
          anyOf:
            - type: string
            - type: 'null'
        implantable:
          anyOf:
            - type: boolean
            - type: 'null'
        code_status:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    OpenfdaUdiSize:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiSize
        size_type:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenfdaUdiStorage:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiStorage
        storage_type:
          anyOf:
            - type: string
            - type: 'null'
        high:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaUdiStorageBound'
            - type: 'null'
        low:
          anyOf:
            - $ref: '#/components/schemas/OpenfdaUdiStorageBound'
            - type: 'null'
        special_conditions:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenfdaUdiSubmission:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiSubmission
        submission_number:
          type: string
        supplement_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - submission_number
    OpenfdaUdiContact:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiContact
        phone:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpenfdaUdiSterilization:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiSterilization
        is_sterile:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sterilization_prior_use:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OpenfdaBlock:
      properties:
        '@type':
          type: string
          default: OpenfdaBlock
        application_number:
          items:
            type: string
          type: array
          default: []
        brand_name:
          items:
            type: string
          type: array
          default: []
        generic_name:
          items:
            type: string
          type: array
          default: []
        manufacturer_name:
          items:
            type: string
          type: array
          default: []
        product_ndc:
          items:
            type: string
          type: array
          default: []
        package_ndc:
          items:
            type: string
          type: array
          default: []
        product_type:
          items:
            type: string
          type: array
          default: []
        route:
          items:
            type: string
          type: array
          default: []
        substance_name:
          items:
            type: string
          type: array
          default: []
        rxcui:
          items:
            type: string
          type: array
          default: []
        unii:
          items:
            type: string
          type: array
          default: []
        spl_id:
          items:
            type: string
          type: array
          default: []
        spl_set_id:
          items:
            type: string
          type: array
          default: []
        nui:
          items:
            type: string
          type: array
          default: []
        pharm_class_cs:
          items:
            type: string
          type: array
          default: []
        pharm_class_epc:
          items:
            type: string
          type: array
          default: []
        pharm_class_moa:
          items:
            type: string
          type: array
          default: []
        pharm_class_pe:
          items:
            type: string
          type: array
          default: []
        is_original_packager:
          items:
            type: string
          type: array
          default: []
        device_class:
          anyOf:
            - type: string
            - type: 'null'
        device_name:
          anyOf:
            - type: string
            - type: 'null'
        medical_specialty_description:
          anyOf:
            - type: string
            - type: 'null'
        regulation_number:
          anyOf:
            - type: string
            - type: 'null'
        fei_number:
          items:
            type: string
          type: array
          default: []
        registration_number:
          items:
            type: string
          type: array
          default: []
        k_number:
          items:
            type: string
          type: array
          default: []
        pma_number:
          items:
            type: string
          type: array
          default: []
      type: object
    OpenfdaUdiStorageBound:
      properties:
        '@type':
          type: string
          default: OpenfdaUdiStorageBound
        value:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````